## Experts start a new DAO

### Deploy DAO Contracts

```mermaid
sequenceDiagram

participant Admin
box DAO Core
participant Reputation
participant Forum
participant Bench
participant DAO
end 
box Additional DAO Contracts
participant Rollup
participant Proposals
participant Work
participant Onboarding
end

Admin ->> Reputation : Deploy
Admin ->> Forum : Deploy
Admin ->> Bench : Deploy
Admin ->> DAO : Deploy
DAO -->> Reputation : Registers DAO Contract
DAO -->> Forum : Registers DAO Contract
DAO -->> Bench : Registers DAO Contract
Admin ->> Rollup : Deploy
Rollup -->> DAO : References DAO Contract
Admin ->> Proposals : Deploy
Proposals -->> DAO : References DAO Contract
Admin ->> Work : Deploy
Work -->> DAO : References DAO Contract
Admin ->> Onboarding : Deploy
Onboarding -->> DAO : References DAO Contract

```

### Deploy Forum API

```mermaid
sequenceDiagram

```

### Deploy Matrix Widget

```mermaid
sequenceDiagram

participant e1 as Expert 1
participant e2 as Expert 2
participant matrix as Matrix
participant api as Forum API
participant widget as Matrix Widget

```

## New member joins a DAO

## DAO member defines a new Work Contract

## Customer engages a Work Contract

## Contract triggers a dispute resolution process

## DAO changes the price of a Work Contract

## DAO upgrades the soft protocol

